
            /* constantes comprometidas com o hardware */

#define            RX_TX                0x00
#define            INTR_EN              0x01
#define            IIR                  0x02
#define            LIN_CTRL             0x03
#define            MDM_CTRL             0x04
#define            LIN_STS              0x05
#define            MDM_STS              0x06
#define            LOW_BAUD             0x00
#define            HIGH_BAUD            0x01
#define            DLAB                 0x80
#define            INIT_LIN_CTRL        0x1B
#define            MDM_STS_INTR         0x00
#define            THRE                 0x20
#define            RDA                  0x02
#define            MDS                  0x00
#define            RLS                  0x03
#define            CTS                  0x10
#define            RTS                  0x02
#define            DTR                  0x01
#define            DSR                  0x20
#define            RI                   0x40
#define            DCD                  0x80
#define            RS_ALL_INTR          0x00
#define            ST_MDM_INTR          0x08
#define            ST_RDA_INTR          0x01
#define            ST_THRE_INTR         0x02
#define            ST_RLS_INTR          0x04
#define            RS_THRE_INTR         0xFD
#define            INTR_PENDING         0x01
#define            THRE_INTR            0x02
#define            RDA_INTR             0x04
#define            MDM_INTR             0x00
#define            DR                   0x01
#define            PICADDR              0x20
#define            MASKADDR             0x21
#define            EOI                  0x20
#define            ISR                  0x0B
#define            BRK                  0x40
#define            OUT1                 0x04
#define            OUT2                 0x08


#define            B75                  0x0600
#define            B150                 0x0300
#define            B300                 0x0180
#define            B600                 0x00C0
#define            B1200                0x0060
#define            B2400                0x0030
#define            B4800                0x0018
#define            B9600                0x000C
#define            B19200               0x0006
#define            B38400               0x0003

#define            PEVEN                0x10
#define            PODD                 0x00
#define            PMASK                0x10
#define            PENABLE              0x08
#define            STOPB                0x04
#define            WLMASK               0x03
#define            WL5                  0x00
#define            WL6                  0x01
#define            WL7                  0x02
#define            WL8                  0x03

#define            PORT1                0x3f8
#define            PORT2                0x2f8
#define            IRQPORT1             ( (0x4 + 0x8) )
#define            IRQPORT2             ( (0x3 + 0x8) )
#define            IRQMASK1             0x10
#define            IRQMASK2             0x08


